/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see <http://www.gnu.org/licenses/>.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/

.subject {
  display: flex;
  flex-direction: row;
  padding: 15px 0 10px 0;
  font-size: 1.2em;
}

.subject-number {
  flex: 0 0 30px;
  align-self: center;
}

.subject-label {
  flex: 1 1 100%;
  align-self: center;
}

.ballot {
  display: flex;
  flex-direction: row;
  width: 120px;
  margin-top: -18px;
}

.ballot .subject-answer-option {
  text-align: center;
  width: 50px;
}

.ballot .subject-answer {
  width: 48px;
}

.answer-label {
  text-transform: uppercase;
  font-weight: bold;
}

hr {
  width: 100%;
  height: 1px;
  color: #98CEE0;
  background-color: #98CEE0;
  border: 0;
}

.summary,
.verification-code {
  display: none;
}

.summary-small-device {
  display: flex;
  flex-direction: column;
}

.summary,
.verification-code,
.summary-small-device {
  flex: 0 0 95px;
  align-self: center;
  justify-content: center;
}

.summary > span,
.summary-small-device > span {
  font-weight: bold;
  color: black;
  text-transform: uppercase;
  text-align: center;
}

.verification-code,
.verification-code-small-device {
  padding: 5px 0;
  font-weight: bold;
  color: #666666;
  background-color: #FFFF99;
  text-align: center;
}

@media screen and (min-width: 576px) {
  .summary,
  .verification-code {
    display: flex;
  }

  .summary-small-device {
    display: none;
  }
}

